<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: SSLUtils Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classSSLUtils-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SSLUtils Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a129e0a885d0e7095da2533c0b80d2725"><td class="memItemLeft" align="right" valign="top"><a id="a129e0a885d0e7095da2533c0b80d2725"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>setCertificate</b> (std::string certificate)</td></tr>
<tr class="separator:a129e0a885d0e7095da2533c0b80d2725"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07afed306b3a429076a62d1acf071782"><td class="memItemLeft" align="right" valign="top"><a id="a07afed306b3a429076a62d1acf071782"></a>
static char *&#160;</td><td class="memItemRight" valign="bottom"><b>getCertificate</b> ()</td></tr>
<tr class="separator:a07afed306b3a429076a62d1acf071782"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86f2b19ed969511b068d887463156f94"><td class="memItemLeft" align="right" valign="top"><a id="a86f2b19ed969511b068d887463156f94"></a>
static void&#160;</td><td class="memItemRight" valign="bottom"><b>setKey</b> (std::string key)</td></tr>
<tr class="separator:a86f2b19ed969511b068d887463156f94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae13c69d141b447847c9f94672a9b35c5"><td class="memItemLeft" align="right" valign="top"><a id="ae13c69d141b447847c9f94672a9b35c5"></a>
static char *&#160;</td><td class="memItemRight" valign="bottom"><b>getKey</b> ()</td></tr>
<tr class="separator:ae13c69d141b447847c9f94672a9b35c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="SSLUtils_8h_source.html">SSLUtils.h</a></li>
<li>SSLUtils.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
